Subject: bug#33996: Icecat is missing fonts

From: Adonay Felipe Nogueira <[email-masked]>
Date: Sun, 6 Jan 2019 16:17:27 -0200

Em 06/01/2019 08:31, [email-masked] escreveu:
> After installing Icecat on guixsd v0.16 and starting it it shows only
> squares instead of text and pango warns "missing font nimbus ..."

This behavior seems similar to what I experience while using Guix in
Trisquel 8.0
Flidas. The problem doesn't cause squares to appear, it actually causes
the last text font that fontconfig advertises to IceCat, to be selected.

I don't know how fontconfig selects these fonts, but I noticed that you
can test this by placing some font in "~/.local/share/fonts" and running
`fc-cache -vf'. IceCat should pick that font. You might need to try with
different fonts, as IceCat seems to expect from fontconfig that it
selects fonts with specific properties.